Category : ruby

I had to bring my Jekyll website to my new computer and now I get the following error when I try to bundle exec jekyll serve. Configuration file: C:/Users/bla/Desktop/mysite/_config.yml Remote Theme: Using theme jekyll/minima Source: C:/Users/bla/Desktop/mysite Destination: C:/Users/bla/Desktop/mysite/_site Incremental build: disabled. Enable with –incremental Generating… Remote Theme: Using theme jekyll/minima Jekyll Feed: Generating feed for ..

Read more

I am fairly new to Ruby and getting an error in the command line when attempting to use it to install Shopify CLI gem install shopify-cli. I verified that I have ruby installed by running ruby -v Here is the error: C:Usersmso87>gem install shopify-cli Fetching rb-fsevent-0.11.0.gem Fetching rb-inotify-0.10.1.gem Fetching ffi-1.15.3-x64-mingw32.gem Fetching listen-3.6.0.gem Fetching liquid-5.0.1.gem Fetching ..

Read more

I have a problem when run bundle install. `Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. Check the mkmf.log file for more details. You may need configuration options. Provided configuration options: –with-opt-dir –with-opt-include –without-opt-include=${opt-dir}/include –with-opt-lib –without-opt-lib=${opt-dir}/lib –with-make-prog –without-make-prog –srcdir=. –curdir –ruby=/Users/dshimaru/.rvm/rubies/ruby-2.3.3/bin/$(RUBY_BASE_NAME) –with-firebird-dir –without-firebird-dir –with-firebird-include –without-firebird-include=${firebird-dir}/include –with-firebird-lib –without-firebird-lib=${firebird-dir}/lib –with-fbclientlib ..

Read more